Name:		fcitx-libpinyin
Version:	0.5.1
Release:	2%{?dist}
Summary:	Libpinyin Wrapper for Fcitx
Group:		System Environment/Libraries
License:	GPLv2+
URL:		https://fcitx-im.org/wiki/Libpinyin
Source0:	http://download.fcitx-im.org/fcitx-libpinyin/%{name}-%{version}_dict.tar.xz

BuildRequires:	libpinyin-devel >= 1.9.91
BuildRequires:	cmake, fcitx-devel, gettext, intltool, libpinyin-devel
BuildRequires:	libpinyin-tools, glib2-devel, fcitx
BuildRequires:	qt5-qtwebengine-devel, dbus-devel
BuildRequires:	fcitx-qt5-devel >= 1.1
Requires:	fcitx
# handled by qt5-srpm-macros, which defines %%qt5_qtwebengine_arches
ExclusiveArch: %{qt5_qtwebengine_arches}

%description
Fcitx-libpinyin is a libpinyin Wrapper for Fcitx.

Libpinyin is a Frontend of the Intelligent Pinyin IME Backend.


%prep
%setup -q -n %{name}-%{version}


%build
mkdir -pv build
pushd build
%cmake ..
make VERBOSE=1 %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
popd

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%license COPYING
%{_libdir}/fcitx/%{name}.so
%{_libdir}/fcitx/qt/*.so
%{_datadir}/fcitx/addon/%{name}.conf
%{_datadir}/fcitx/imicon/*
%{_datadir}/fcitx/configdesc/%{name}.desc
%{_datadir}/fcitx/inputmethod/*-libpinyin.conf
%{_datadir}/fcitx/libpinyin/
%{_datadir}/icons/hicolor/48x48/status/fcitx-*.png

%changelog
* Fri Jun  9 2017 Peng Wu <pwu@redhat.com> - 0.5.1-2
- Rebuilt for libpinyin 2.0.91

* Fri May 12 2017 Robin Lee <cheeselee@fedoraproject.org> - 0.5.1-1
- Update to 0.5.1
- ExclusiveArch set to %%qt5_qtwebengine_arches

* Fri Mar  3 2017 Peng Wu <pwu@redhat.com> - 0.4.1-4
- Rebuilt for Fedora 27

* Wed Mar  1 2017 Peng Wu <pwu@redhat.com> - 0.4.1-3
- Rebuilt for libpinyin 1.9.91

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb  3 2017 Peng Wu <pwu@redhat.com> - 0.4.1-1
- Update to 0.4.1

* Thu Dec  8 2016 Peng Wu <pwu@redhat.com> - 0.4.0-1
- Update to 0.4.0
- Rebuilt for libpinyin 1.7.0

* Tue Nov  1 2016 Peng Wu <pwu@redhat.com> - 0.3.91-3
- Rebuilt for libpinyin 1.6.91

* Wed Aug  3 2016 Peng Wu <pwu@redhat.com> - 0.3.91-2
- Rebuilt for libpinyin 1.5.92

* Fri Jul 22 2016 Peng Wu <pwu@redhat.com> - 0.3.91-1
- Update 0.3.91

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Nov 23 2015 Robin Lee <cheeselee@fedoraproject.org> - 0.3.3-1
- Update to 0.3.3

* Tue Jul 14 2015 Peng Wu <pwu@redhat.com> - 0.3.2-1
- Update to 0.3.2

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.3.1-5
- Rebuilt for GCC 5 C++11 ABI change

* Thu Feb 12 2015 Peng Wu <pwu@redhat.com> - 0.3.1-4
- Rebuilt for libpinyin

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 23 2013 Robin Lee <cheeselee@fedoraproject.org> - 0.3.1-1
- Update to 0.3.1
- Update URL and Source0 URL
- BR: qt-devel, dbus-devel, qtwebkit-devel

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.92-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed May  8 2013 Peng Wu <pwu@redhat.com> - 0.2.92-1
- Upstream to 0.2.92

* Mon Mar 18 2013 Liang Suilong <liangsuilong@gmail.com> - 0.2.90-1
- Upstream to 0.2.90

* Fri Mar 08 2013 Liang Suilong <liangsuilong@gmail.com> - 0.2.1-3
- Rebuilt for the latest libpinyin

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Dec 09 2012 Liang Suilong <liangsuilong@gmail.com> - 0.2.1-1
- Upstream to 0.2.1

* Sun Jul 29 2012 Liang Suilong <liangsuilong@gmail.com> - 0.2.0-1
- Upstream to 0.2.0

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Apr 27 2012 Liang Suilong <liangsuilong@gmail.com> - 0.1.1-1
- Upstream to 0.1.1

* Wed Feb 08 2012 Liang Suilong <liangsuilong@gmail.com> - 0.1.0-1
- Initial Package
